/*
 * This file is a part of Winix
 * and is not publicly distributed
 * 
 * Copyright (c) 2008-2014, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#include "chown.h"


namespace Winix
{



namespace Fun
{


Chown::Chown()
{
	fun.url = L"chown";
}


void Chown::MakePost()
{
	priv_changer.SetCur(cur);
	priv_changer.SetSystem(system);
	priv_changer.SetDb(db);

	priv_changer.Change(true, false);
}


void Chown::MakeGet()
{
	priv_changer.SetCur(cur);
	priv_changer.SetSystem(system);
	priv_changer.SetDb(db);

	priv_changer.CheckAccess();
}



} // namespace

} // namespace Winix

