/*
 * This file is a part of Winix
 * and is not publicly distributed
 * 
 * Copyright (c) 2010-2014, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#ifndef headerfile_winix_functions_template
#define headerfile_winix_functions_template

#include "functionbase.h"

namespace Winix
{


namespace Fun
{


class Template : public FunctionBase
{
public:

	Template();
	bool HasAccess();
	void MakePost();

private:

	std::wstring html_template;
	void CreateTemplateFileName(const std::wstring & index_str);
	void ChangeTemplate(Item & item);
	void PutLog(Item & item);
};


} // namespace

} // namespace Winix

#endif
