/*
 * This file is a part of Winix
 * and is not publicly distributed
 * 
 * Copyright (c) 2013-2014, Tomasz Sowa
 * All rights reserved.
 * 
 */

#include "core/request.h"
#include "templates.h"

namespace Winix
{



namespace TemplatesFunctions
{


void passwd_resetpass_login(Info & i)
{
	if( cur->request->IsPostVar(L"login") )
		i.out << cur->request->PostVar(L"login");
	else
		i.out << cur->request->ParamValue(L"login");
}


void passwd_resetpass_code(Info & i)
{
	if( cur->request->IsPostVar(L"code") )
		i.out << cur->request->PostVar(L"code");
	else
		i.out << cur->request->ParamValue(L"code");
}









} // namespace

} // namespace Winix


